jk_cp(8)

NAME
jk_cp - a utility to copy files including permissions and libraries into a jail

SYNOPSIS

jk_cp -j jail source

jk_cp -v -k -f -j jail source

DESCRIPTION

jk_cp will copy any file into a jail on the identical location, with identical permissions and (if required) including any required libraries. It will remove any set user id (setuid) or set group id (setgid) permissions from all files and directories copied.

EXAMPLE

jk_cp -j /home/testchroot /usr/bin/cvs

will copy /usr/bin/cvs to /home/testchroot/usr/bin/cvs, and it will copy the libraries used by cvs also to the jail.

jk_cp -k -j /svr/testjail /usr/bin/firefox /usr/share/firefox

will hardlink /usr/bin/firefox and all files in /usr/share/firefox into jail /svr/testjail

OPTIONS

-j --jail
    The destination jail. If no jail is specified, the first argument is used as jail for backwards compatibility

-f --force
    Force overwriting of existing files

-k --hardlink
    Try to create hardlinks instead of copying the files. If linking fails it falls back to copying.

-o --owner
    Retains the file ownership and group when copying files and directories.

-v --verbose
    Will give verbose output

-h --help
    The help screen

SEE ALSO
jailkit(8) jk_check(8) jk_chrootlaunch(8) jk_chrootsh(8) jk_init(8) jk_jailuser(8) jk_list(8) jk_lsh(8) jk_procmailwrapper(8) jk_socketd(8) jk_uchroot(8) jk_update(8) chroot(2)

jk_socketd(8)

COPYRIGHT

Copyright (C) 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Olivier Sessink

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.